Subject: [dnsext] Re: Cleaning up the RRtype code space ... here: LOC and GPOS

From: Alfred Hönes <[email-masked]>
Date: Wed, 10 Mar 2010 13:50:32 +0100 (MEZ)

Lawrence,
you wrote:

> Hi Olafur, Alfred, folks,
> If we're grinding away old experimental RR types, please can we
> keep LOC (code 29).
> Given that 1876 < 3597, LOC falls into this group.
> I and a load of others use LOC, I believe it's still useful,
> it works, so let's not zap it.
>
> all the best,
>   Lawrence

First of all, Olafur did not say: "deprecate all exp. < RFC 3597",
he said we need to "go through" them.

The goal is to "get rid of the cruft" (i.e. what nobody needs any
more), not to deprecate useful elements.  And "deprecate" does not
mean "release the codepoint" (for re-use), IMO.

Thus, I note your input as an important data point.  Thanks.

But please also note that LOC does not carry a domain name,
so even if consensus came up to deprecate it, that would only
mean that new implementations would not need special code for it;
they would treat it transparently as "unknown" RR (in the sense of
3597[bis]) and would use the RFC 3597 presentation form if needed.
This way, the impact of such decision would not be catastrophic.

Related point: GPOS RR

There's also RFC 1712, defining the GPOS RR (#27).
RFC 1876 did not Obsolete RFC 1712, although it essentially defines
a superset of the functionality achieved by GPOS.
So most likely it actually should have Obsoleted RFC 1712.
I once saw somewhere (don't recall where, need to check) a statement
saying:
  "This was an Editorial mistake.  It should not have been published.
   The RFC Editor somehow missed/ignored an explicit DNP from the
   authors."

Can you on namedroppers confirm this?

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Paul Vixie <[email-masked]>
Date: Wed, 10 Mar 2010 18:13:18 +0000

> From: Alfred =?hp-roman8?B?SM5uZXM=?= <[email-masked]>
> Date: Wed, 10 Mar 2010 13:50:32 +0100 (MEZ)
> ...
> Related point: GPOS RR
> ...

from jon's lips, to your mouth.  yes, i heard that from the man himself,
during the preparation of 1876, though i have not heard it from the authors
of 1712.  we could not deprecate 1712 in 1876 since neither was on the
standards track.  the result is a bit of a hairball, common from that era.

---

From: Dmitry Burkov <[email-masked]>
Date: Thu, 11 Mar 2010 00:50:59 +0300

On 3/10/2010 9:13 PM, Paul Vixie wrote:
>> From: Alfred =?hp-roman8?B?SM5uZXM=?=<[email-masked]>
>>   ntry  authors."
> standards track.  the result io s a bit of a hairball, common from that era.
>    
Paul -
thanks for historical excurse to one small county side story
  = but if you really think  that all these dates means something for 
most of us - I still expect that you should reestimate your initial position
  Hope - you can understand me - that IETF doesn't imply that all of us 
graduated US college.

best regards,

---

From: Paul Vixie <[email-masked]>
Date: Wed, 10 Mar 2010 22:33:31 +0000

> Date: Thu, 11 Mar 2010 00:50:59 +0300
> From: Dmitry Burkov <[email-masked]>
> 
> > during the preparation of 1876, though i have not heard it from the
> > authors of 1712.  we could not deprecate 1712 in 1876 since neither was
> > on the standards track.  the result io s a bit of a hairball, common
> > from that era.
> 
> Paul -
> but if you really think that all these dates means something for most
> of us - I still expect that you should reestimate your initial position

my apologies.  1876 is shorthand for RFC 1876,
and 1712 is shorthand for RFC 1712.